package org.dive4elements.river.artifacts.access;

import org.dive4elements.artifacts.CallContext;
import org.dive4elements.river.artifacts.FLYSArtifact;

import org.dive4elements.river.artifacts.model.Segment;

import java.util.List;

import org.apache.log4j.Logger;


/** Fix-Realizing (Volmer/Ausgelagerte Wasserspiegellage) access. */
public class FixRealizingAccess
extends      FixAccess
{
    private static Logger log = Logger.getLogger(FixRealizingAccess.class);

    protected Boolean isQ;

    protected List<Segment> segments;

    public FixRealizingAccess(FLYSArtifact artifact, CallContext context) {
        super(artifact, context);
    }

    public Boolean isQ() {
        if (isQ == null) {
            isQ = getBoolean("wq_isq");
        }

        if (log.isDebugEnabled()) {
            log.debug("isQ: " + isQ);
        }

        return isQ;
    }

    public List<Segment> getSegments() {
        if (segments == null) {
            String segmentsS = getString("wq_values");
            if (segmentsS != null) {
                segments = Segment.parseSegments(segmentsS);
            }
        }
        if (log.isDebugEnabled()) {
            log.debug("segments: " + segments);
        }

        return segments;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
