package org.dive4elements.river.artifacts.access;

import org.apache.log4j.Logger;

import org.dive4elements.river.artifacts.FLYSArtifact;


public class StaticSQRelationAccess
extends RiverAccess
{
    /** The logger that is used in this state. */
    private static final Logger logger =
        Logger.getLogger(StaticSQRelationAccess.class);

    private String measurementStation;

    public StaticSQRelationAccess(FLYSArtifact artifact) {
        super(artifact);
    }

    /** Get measurement station */
    public String getMeasurementStation() {
        if (measurementStation == null) {
            measurementStation = getString("station");
        }
        if (logger.isDebugEnabled()) {
            logger.debug("measurement station: '" + measurementStation + "'");
        }
        return measurementStation;
    }
}
